
Infrastructure - Story #1869

NodeList needs an XSL stylesheet Declaration added after XML Declaration

2011-10-20 20:17 - Robert Waltz

Status: Rejected Start date: 2011-10-20

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 0%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.46-Block.6   

Story Points:    

Description

JibX Marshalling needs to be extended for our Node Controller to extend the IXMLWriter by overwriting the writeXMLDecl method. 

Set on the IMarshallingContext  the XmlWriter the extended XmlWriter.  Probably implement the org.springframework.oxm.Marshaller

in a new class.

and create the xsl for transformation.

History

#1 - 2011-11-15 04:18 - Dave Vieglais

- Assignee changed from Robert Waltz to Ben Leinfelder

- Target version set to Sprint-2011.46-Block.6

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

Verify that this can be closed.

#2 - 2011-11-23 19:40 - Ben Leinfelder

- Status changed from New to Rejected

I'm using our d1_common TypeMarshaller + piped input/output streams to accomplish this in the CN proxy layer.
